/*****************/
/* BlackGold App */
/*****************/
.sticky-offset {
    top: 65px;
}
.navbar-brand {
    font-weight: 500; /* default:inherit */
}
.nav-text {
    width: 100%;
    padding-right: 12px;
}
.nav-end-item {
    min-width:20px;
    text-align:center;
}
.nav-badge {
    /*padding: 1px 6px 1px 6px;*/
}
.nav-menu .hx-sidebar-collapse.overflow-auto {
    scrollbar-color: #77777755 rgba(var(--bs-secondary-bg-rgb), var(--bs-bg-opacity)); /* match .bg-body-secondary */
}
textarea {
    field-sizing: content;
}
.app-form-label {
    /*min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
    padding: .25rem .5rem;
    font-size: .875rem;*/
}
.app-form-value {
    /*font-size: .875rem;*/
}
.app-form-units {
    /*font-size: .75rem;*/
    font-style: italic;
}
.app-form-row {
}
.app-form-row-alt {
    background-color: rgba(var(--bs-secondary-color-rgb), 0.02);
    border-top: 0.5px dashed rgba(var(--bs-secondary-color-rgb), 0.15);
    border-bottom: 0.5px dashed rgba(var(--bs-secondary-color-rgb), 0.15);
}
.app-indent-wrap {
    text-indent: -1.5em; /* Indent the first line negatively */
    padding-left: 1.5em; /* Add padding to the left to offset the negative indent */
}
.app-chart .card-title {
    padding: 1rem 1rem 0.5rem 1rem;
    margin-bottom:0;
}
.app-chart .card-body {
    padding:0px;
}
.app-card-full {
    display: flex;
    flex-direction: column;
    flex-grow: 1 !important;
}
.app-card-full .card-body {
    display: flex;
    flex-direction: column;
    flex-grow: 1 !important;
}
.app-col-btn {
    white-space: nowrap;
    width: 1%;
}
.app-col-btn button {
    padding:0px 5px 0px 5px;
}
.app-hidden {
    display:none;
}
.app-sel-opt-cat {
    font-weight: bold;
    font-style: italic;
    color: #010101; /* black will render gray by browser */
}
.app-splash-top {
    margin-top: 20vh;
}
.app-splash-logo {
    height: 75px;
}
.app-home-wrap {
    position: relative;
    margin:-24px;
}
.app-home-wrap:before {
    content: ' ';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0.1;
    background-image: url('../img/rods.webp');
    background-repeat: no-repeat;
    background-position: 50% 0;
    background-size: cover;
    filter: blur(0px);
}
.app-home-content {
    position: relative;
    margin: 24px;
}
.border-red {
    border: 1px solid red;
}
.border-blue {
    border: 1px solid blue;
}
.min-w-0 {
    min-width: 0;
}
.frm-min-w {
    min-width: 130px;
}
.frm-max-w {
    max-width: 125px;
}
.fs--1 {
    font-size: 0.875rem;
}
.fs--2 {
    font-size: 0.75rem;
}
.text-app-2 {
    color: var(--bs-orange);
}
.darker {
    background-color: #00000030 !important;
}
.section-divider {
    border-top-width: 4px;
}
.h-100 {
    height:100%;
}
.chart-button {
    min-height: 42px;
    min-width: 42px;
}
.app-tooltip * {
    /*text-align:left;*/
}

/***********************/
/* Bootstrap overrides */
/***********************/
.card {
    --bs-card-title-spacer-y: 1.0rem; /* default:0.5rem */
}
.card-header {
    font-weight: 600;
    background: var(--bs-secondary-bg);
    padding:6px 10px 6px 10px;
}
.mark, mark {
    padding: 0em; /* default:.1875em */
}

/****************/
/* Hx overrides */
/****************/
:root {
    --hx-sidebar-header-padding: 0.5rem; /* default:1rem */
    --hx-sidebar-parent-item-active-font-weight: inherit; /* default:600 */
    --hx-sidebar-item-active-font-weight: 600; /* default:inherit */
    --hx-sidebar-item-hover-background-color: var(--bs-emphasis-color-rgb);
    --hx-sidebar-item-active-background-color: var(--bs-emphasis-color-rgb);
    --hx-sidebar-item-active-color: var(--bs-emphasis-color);
    --hx-sidebar-item-hover-color: var(--bs-emphasis-color);
    --hx-sidebar-item-icon-color: var(--bs-secondary-color);
    --hx-sidebar-item-active-icon-color: var(--bs-primary);
    --hx-sidebar-parent-item-active-icon-color: var(--bs-primary);
}

.dropdown-menu.hx-sidebar-subitems .hx-sidebar-item-highlight-on-active-child .nav-link.dropdown-item.active .hx-sidebar-item-icon {
    /* Collapsed navbar: Active link icon in popup menu */
    color: var(--bs-primary) !important;
}

.dropdown-menu.hx-sidebar-subitems .hx-sidebar-item-highlight-on-active-child .nav-link.dropdown-item:not(.active) .hx-sidebar-item-icon {
    /* Collapsed navbar: Inactive link icons in popup menu */
    color: var(--bs-secondary-color) !important;
}

.form-label, .form-check-label {
    font-size: 0.9rem; /* default:1rem */
}

.form-text {
    /* Hint on fields */
    font-size: .75em; /* default:.875rem */
    font-style: italic;
}

.form-check-inline {
    padding-top:3px;
}

.hx-sidebar-brand:focus/*, a:focus*/ {
    outline: none;
}

.hx-sidebar-brand .hx-sidebar-brand-logo {
    /* fit to logo */
    width: inherit;
    height: inherit;
    min-width: var(--hx-sidebar-brand-logo-width);
    min-height: var(--hx-sidebar-brand-logo-height);
}

.hx-sidebar-item-icon {
    /* some icons have different widths; line them up and line up text */
    min-width: 1.2rem;
    text-align: center;
}

.hx-sidebar-subitems .stretched-link {
    width: 100%;
}

.hx-sidebar-item-navlink-content-inner {
    /* for badges to not move rows on show/hide; 
        alternatively, can set badges to use nav-badge css class */
    min-height: 20px;
}

.hx-list-layout-header button {
    /* Make filter button be same as .btn-sm */
    padding: 0.25rem 0.5rem 0.25rem 0.5rem;
    font-size: 0.875rem;
    border-radius: var(--bs-border-radius-sm);
}

/***************************/
/* Material icon overrides */
/***************************/
.material-symbols-outlined {
    font-size: calc(var(--hx-sidebar-subitem-font-size) + 0.25em);
}

/****************************/
/* Apache eCharts overrides */
/****************************/
rect {
    /* default dark:rgb(16, 12, 42) #100C2A */
    /* default light: none */
    fill: none;
}
/******************************/
/* Highlight.Blazor overrides */
/******************************/
/*
    Overall style is set by including stylesheet in index.html
    See https://cdnjs.com/libraries/highlight.js
*/
pre code.hljs
{
    padding: 0;
}
.hljs {
    background: transparent;
    color: var(--bs-body-color);
}
.hljs-punctuation, .hljs-tag {
    color: var(--bs-secondary-color); 
}

/****************************/
/* BlazorTextDiff overrides */
/****************************/
.diff-container {
    /* Main container */
    font-size: 0.7rem;
}
.diff-panes {
    max-height: 100% !important;
}
.diff-pane-right {
    font-size: inherit;
}
.diff-pane-left {
    font-size: inherit;
}
table.diff td.line {
    padding: 0px 12px 0px 12px;
    font-size: inherit;
    line-height: inherit; /* 22px */
    vertical-align: inherit;
}
table.diff td.line-number {
    padding: 0px 12px 0px 12px;
    font-size: inherit;
    line-height: inherit; /* 22px */
    vertical-align: inherit;
}
.diff-selected td {
    background-color: var(--bs-primary-bg-subtle) !important;
    font-weight: bold;
}

/*******************/
/* Kinetic Loaders */
/*******************/
.loader {
    --block-size: 200px; /*18vmin*/
    --dot-size: 9px;
    --light-color: var(--bs-emphasis-color); /*rgba(255, 255, 255, 0.3)*/
    color: var(--bs-body-color); /*--bs-body-color white*/

    --loader-size: calc(var(--block-size) / 2);
    --loader-size-half: calc(var(--loader-size) / 2);
    --loader-size-half-neg: calc(var(--loader-size-half) * -1);
    --dot-size-half: calc(var(--dot-size) / 2);
    --dot-size-half-neg: calc(var(--dot-size-half) * -1);
    display: block;
    position: relative;
    width: var(--loader-size);
    display: grid;
    place-items: center;
}
    .loader::before,
    .loader::after {
        content: '';
        position: absolute;
    }

/**
	loader--1
**/
.loader--1 {
    --loader-size: calc(var(--block-size) / 3);
    --anim-duration: 1s;
    --loader-1-dist: calc(var(--loader-size) - var(--dot-size-half) + 1px);
    aspect-ratio: 1 / 1;
    border: 1px solid var(--light-color);
}

    .loader--1::before,
    .loader--1::after {
        width: var(--dot-size);
        aspect-ratio: 1 / 1;
        background: currentColor;
        border-radius: 50%;
        top: var(--dot-size-half-neg);
        left: var(--dot-size-half-neg);
        animation: loader-1 var(--anim-duration) cubic-bezier(0.27, 0.08, 0.26, 0.7) infinite;
    }

    .loader--1::after {
        animation-delay: calc(var(--anim-duration) / 4 * -1);
    }

@keyframes loader-1 {
    0%, 100% {
        transform: none;
    }

    25% {
        transform: translateX(var(--loader-1-dist));
    }

    50% {
        transform: translateX(var(--loader-1-dist)) translateY(var(--loader-1-dist));
    }

    75% {
        transform: translateX(0) translateY(var(--loader-1-dist));
    }
}

/**
	loader--2
**/
.loader--2 {
    --loader-size: calc(var(--block-size) / 3);
    --anim-duration: 1s;
    height: 1px;
    background-color: var(--light-color);
}

    .loader--2::before,
    .loader--2::after {
        color: var(--bs-orange);
        width: var(--dot-size);
        aspect-ratio: 1 / 1;
        background: currentColor;
        border-radius: 50%;
        top: calc(var(--dot-size-half-neg) + 1px);
        left: var(--dot-size-half-neg);
        animation: loader-2 var(--anim-duration) cubic-bezier(0.27, 0.08, 0.26, 0.7) infinite;
    }

    .loader--2::after {
        animation-delay: calc(var(--anim-duration) / 3 * -1)
    }

@keyframes loader-2 {
    0%, 100% {
        transform: none;
    }

    44% {
        transform: translateX(calc(var(--loader-size) + var(--dot-size-half)));
    }
}

/**
	loader--3
**/
.loader--3 {
    --loader-size: calc(var(--block-size) / 3);
    --anim-duration: 1.2s;
    aspect-ratio: 1 / 1;
    border: 1px solid var(--light-color);
    border-radius: 50%;
    animation: loader-3 calc(var(--anim-duration) * 3) linear infinite;
}

    .loader--3::before,
    .loader--3::after {
        width: var(--dot-size);
        aspect-ratio: 1 / 1;
        background: currentColor;
        border-radius: 50%;
        top: var(--dot-size-half-neg);
        left: calc(50% - var(--dot-size-half));
        animation: loader-3 var(--anim-duration) cubic-bezier(0.27, 0.08, 0.26, 0.7) infinite;
        transform-origin: center calc(var(--loader-size-half) + var(--dot-size-half) - 1px);
    }

    .loader--3::after {
        animation-delay: calc(var(--anim-duration) / 3 * -1);
    }

@keyframes loader-3 {
    100% {
        transform: rotate(1turn);
    }
}

/**********************************************/
/* Blazor WebAssembly Standalone App template */
/**********************************************/
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: var(--bs-danger-bg-subtle);
    color: var(--bs-danger-text-emphasis);
    border-top: 1px solid var(--bs-danger-border-subtle);
    bottom: 0;
    left: 0;
    display: none;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
    text-align: right;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}